/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.action.mapviewer;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.log4j.Logger;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import de.intevation.gnv.action.ArtifactDatabaseActionBase;

/**
 * This class provides the businesslogic to show the demo GUI for 
 * testing the MV-GNV-Interface.
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 */
public class ShowMapViewerCallBodyAction extends ArtifactDatabaseActionBase {

    /**
     * the logger, used to log exceptions and additionally information
     */
    private static Logger log = Logger
            .getLogger(ShowMapViewerCallBodyAction.class);

    /**
     * Constructor
     */
    public ShowMapViewerCallBodyAction() {
        super();
    }

    @Override
    public ActionForward execute(ActionMapping mapping, ActionForm form,
                                 HttpServletRequest request,
                                 HttpServletResponse response) throws Exception {
        log.debug("ShowMapViewerCallBodyAction.execute");
        request.setAttribute("MAPVIEWERCALL", new Boolean(true));
        return super.execute(mapping, form, request, response);
    }
}
